using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Network.Abstract;

public interface INetworkBehaviour : IBehaviour, INetworkEntity
{
    bool IsServer { get; }
    bool IsClient { get; }

    INetworkCommunicator NetworkCommunicator { get; }
}
